## libcamera-apps 0~git20220228+really~git20220131+7ac5197

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

project(libcamera-apps)

if (NOT EXISTS ${CMAKE_BINARY_DIR}/CMakeCache.txt)
    if (NOT CMAKE_BUILD_TYPE)
        set(CMAKE_BUILD_TYPE "Release" CACHE STRING "" FORCE)
        message(STATUS "No previous build - default to Release build")
    endif()
endif()

set (CMAKE_EXPORT_COMPILE_COMMANDS ON)
set (CMAKE_CXX_STANDARD 17)
add_compile_options(-Wall -Wextra -pedantic -Wno-unused-parameter -faligned-new -Werror -Wfatal-errors)
add_definitions(-D_FILE_OFFSET_BITS=64)

if (CMAKE_COMPILER_IS_GNUCXX)
    add_compile_options(-Wno-psabi)
endif()

option(BUILD_SHARED_LIBS "Build using shared libraries" ON)

IF (NOT ENABLE_COMPILE_FLAGS_FOR_TARGET)
    # On a Pi this will give us armhf or arm64.
    execute_process(COMMAND dpkg-architecture -qDEB_HOST_ARCH
        OUTPUT_VARIABLE ENABLE_COMPILE_FLAGS_FOR_TARGET OUTPUT_STRIP_TRAILING_WHITESPACE)
endif()
message(STATUS "Platform: ${ENABLE_COMPILE_FLAGS_FOR_TARGET}")
if ("${ENABLE_COMPILE_FLAGS_FOR_TARGET}" STREQUAL "arm64")
    # 64-bit binaries can be fully optimised.
    add_definitions(-ftree-vectorize)
elseif ("${ENABLE_COMPILE_FLAGS_FOR_TARGET}" STREQUAL "armv8-neon")
    # Only build with 32-bit Pi 3/4 specific optimisations if requested on the command line.
    add_definitions(-mfpu=neon-fp-armv8 -ftree-vectorize)
endif()

# Source package generation setup.
set(CPACK_GENERATOR "TXZ")
set(CPACK_PACKAGE_FILE_NAME "libcamera-apps-build")
set(CPACK_SOURCE_GENERATOR "TXZ")
set(CPACK_INSTALL_SCRIPTS ${CMAKE_SOURCE_DIR}/package.cmake)
set(CPACK_SOURCE_PACKAGE_FILE_NAME "libcamera-apps-src")
set(CPACK_SOURCE_IGNORE_FILES "/\.git*;/build;")
include(CPack)

find_package(PkgConfig REQUIRED)

pkg_check_modules(LIBCAMERA REQUIRED libcamera)
message(STATUS "libcamera library found:")
message(STATUS "    version: ${LIBCAMERA_VERSION}")
message(STATUS "    libraries: ${LIBCAMERA_LINK_LIBRARIES}")
message(STATUS "    include path: ${LIBCAMERA_INCLUDE_DIRS}")
include_directories(${CMAKE_SOURCE_DIR} ${LIBCAMERA_INCLUDE_DIRS})

add_subdirectory(core)
add_subdirectory(encoder)
add_subdirectory(image)
add_subdirectory(output)
add_subdirectory(preview)
add_subdirectory(post_processing_stages)
add_subdirectory(apps)
add_subdirectory(utils)

=== apps/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

project(libcamera-still)
add_executable(libcamera-still libcamera_still.cpp)
target_link_libraries(libcamera-still libcamera_app images)

project(libcamera-vid)
add_executable(libcamera-vid libcamera_vid.cpp)
target_link_libraries(libcamera-vid libcamera_app encoders outputs)

project(libcamera-hello)
add_executable(libcamera-hello libcamera_hello.cpp)
target_link_libraries(libcamera-hello libcamera_app)

project(libcamera-raw)
add_executable(libcamera-raw libcamera_raw.cpp)
target_link_libraries(libcamera-raw libcamera_app encoders outputs)

project(libcamera-jpeg)
add_executable(libcamera-jpeg libcamera_jpeg.cpp)
target_link_libraries(libcamera-jpeg libcamera_app images)

set(EXECUTABLES libcamera-still libcamera-vid libcamera-hello libcamera-raw libcamera-jpeg)

if (ENABLE_TFLITE)
    project(libcamera-detect)
    add_executable(libcamera-detect libcamera_detect.cpp)
    target_link_libraries(libcamera-detect libcamera_app images)
    set(EXECUTABLES ${EXECUTABLES} libcamera-detect)
endif()

set(EXECUTABLE_OUTPUT_PATH  ${CMAKE_BINARY_DIR})
install(TARGETS ${EXECUTABLES} RUNTIME DESTINATION bin)

=== core/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

include(GNUInstallDirs)

find_package(Boost REQUIRED COMPONENTS program_options)

add_custom_target(VersionCpp ${CMAKE_COMMAND} -DSOURCE_DIR=${CMAKE_SOURCE_DIR} -P ${CMAKE_CURRENT_LIST_DIR}/version.cmake)
set_source_files_properties(version.cpp PROPERTIES GENERATED 1)

add_library(libcamera_app libcamera_app.cpp post_processor.cpp version.cpp options.cpp)
add_dependencies(libcamera_app VersionCpp)

set_target_properties(libcamera_app PROPERTIES PREFIX "" IMPORT_PREFIX "")
target_link_libraries(libcamera_app pthread preview ${LIBCAMERA_LINK_LIBRARIES} ${Boost_LIBRARIES} post_processing_stages)

install(TARGETS libcamera_app LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== encoder/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

include(GNUInstallDirs)

add_library(encoders encoder.cpp null_encoder.cpp h264_encoder.cpp mjpeg_encoder.cpp)
target_link_libraries(encoders jpeg)

install(TARGETS encoders LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== image/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

include(GNUInstallDirs)

find_library(EXIF_LIBRARY exif REQUIRED)
find_library(JPEG_LIBRARY jpeg REQUIRED)
find_library(TIFF_LIBRARY tiff REQUIRED)
find_library(PNG_LIBRARY png REQUIRED)

add_library(images bmp.cpp yuv.cpp jpeg.cpp png.cpp dng.cpp)
target_link_libraries(images jpeg exif png tiff)

install(TARGETS images LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== output/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

include(GNUInstallDirs)

add_library(outputs output.cpp file_output.cpp net_output.cpp circular_output.cpp)

install(TARGETS outputs LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== post_processing_stages/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

include(GNUInstallDirs)

set(SRC post_processing_stage.cpp negate_stage.cpp hdr_stage.cpp pwl.cpp histogram.cpp motion_detect_stage.cpp)
set(TARGET_LIBS images)


if (NOT DEFINED ENABLE_OPENCV)
    set(ENABLE_OPENCV 1)
endif()
set(OpenCV_FOUND 0)
if (ENABLE_OPENCV)
    message(STATUS "Checking for OpenCV")
    find_package(OpenCV QUIET)
else()
    message(STATUS "Omitting check for OpenCV")
endif()

if (OpenCV_FOUND)
    # OpenCV has so many libraries, we're going to link only the ones we need.
    # But if you add more OpenCV stages, you may need more libraries here!
    set(OpenCV_LIBS_REDUCED -lopencv_core -lopencv_imgproc -lopencv_objdetect)
    message(STATUS "OpenCV library found:")
    message(STATUS "    version: ${OpenCV_VERSION}")
    message(STATUS "    libraries: ${OpenCV_LIBS_REDUCED}")
    message(STATUS "    include path: ${OpenCV_INCLUDE_DIRS}")
    include_directories(${OpenCV_INCLUDE_DIRS})
    set(SRC ${SRC} sobel_cv_stage.cpp face_detect_cv_stage.cpp annotate_cv_stage.cpp plot_pose_cv_stage.cpp object_detect_draw_cv_stage.cpp)
    set(TARGET_LIBS ${TARGET_LIBS} ${OpenCV_LIBS_REDUCED})
    message(STATUS "OpenCV support is included")
else()
    if (ENABLE_OPENCV)
        message(WARNING "OpenCV support was enabled but no libraries found!")
    else()
        message(STATUS "OpenCV support not being included")
    endif()
endif()

if (NOT DEFINED ENABLE_TFLITE)
    set(ENABLE_TFLITE 0)
endif()
if (ENABLE_TFLITE)
    set(SRC ${SRC} tf_stage.cpp object_classify_tf_stage.cpp pose_estimation_tf_stage.cpp object_detect_tf_stage.cpp segmentation_tf_stage.cpp)
    set(TARGET_LIBS ${TARGET_LIBS} tensorflow-lite)
    message(STATUS "Adding TFLite support")
else()
    message(STATUS "TFLite support not being included")
endif()

add_library(post_processing_stages ${SRC})
target_link_libraries(post_processing_stages ${TARGET_LIBS})
target_compile_definitions(post_processing_stages PUBLIC OPENCV_PRESENT=${OpenCV_FOUND})

install(TARGETS post_processing_stages LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== preview/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

include(GNUInstallDirs)

pkg_check_modules(LIBDRM QUIET libdrm)
pkg_check_modules(X11 QUIET x11)
pkg_check_modules(EPOXY QUIET epoxy)
pkg_check_modules(QTCORE QUIET Qt5Core)
pkg_check_modules(QTWIDGETS QUIET Qt5Widgets)

set(SRC "preview.cpp")
set(TARGET_LIBS "")

IF (NOT DEFINED ENABLE_DRM)
    SET(ENABLE_DRM 1)
endif()
set(DRM_FOUND 0)
if (ENABLE_DRM AND LIBDRM_FOUND)
    message(STATUS "LIBDRM_LINK_LIBRARIES=${LIBDRM_LINK_LIBRARIES}")
    include_directories(${LIBDRM_INCLUDE_DIRS})
    set(TARGET_LIBS ${TARGET_LIBS} ${LIBDRM_LIBRARIES})
    set(SRC ${SRC} drm_preview.cpp)
    set(DRM_FOUND 1)
    message(STATUS "LIBDRM display mode enabled")
else()
    message(STATUS "LIBDRM display mode will be unavailable!")
endif()

IF (NOT DEFINED ENABLE_X11)
    set(ENABLE_X11 1)
endif()
set(EGL_FOUND 0)
if (ENABLE_X11 AND X11_FOUND AND EPOXY_FOUND)
    message(STATUS "X11_LINK_LIBRARIES=${X11_LINK_LIBRARIES}")
    message(STATUS "EPOXY_LINK_LIBRARIES=${EPOXY_LINK_LIBRARIES}")
    set(TARGET_LIBS ${TARGET_LIBS} ${X11_LIBRARIES} ${EPOXY_LIBRARIES})
    set(SRC ${SRC} egl_preview.cpp)
    set(EGL_FOUND 1)
    message(STATUS "EGL display mode enabled")
else()
    message(STATUS "EGL display mode will be unavailable!")
endif()

IF (NOT DEFINED ENABLE_QT)
    message(STATUS "ENABLE_QT not specified - set to 1")
    set(ENABLE_QT 1)
endif()
set(QT_FOUND 0)
if (ENABLE_QT AND QTCORE_FOUND AND QTWIDGETS_FOUND)
    message(STATUS "QTCORE_LINK_LIBRARIES=${QTCORE_LINK_LIBRARIES}")
    message(STATUS "QTCORE_INCLUDE_DIRS=${QTCORE_INCLUDE_DIRS}")
    include_directories(${QTCORE_INCLUDE_DIRS} ${QTWIDGETS_INCLUDE_DIRS})
    set(TARGET_LIBS ${TARGET_LIBS} ${QTCORE_LIBRARIES} ${QTWIDGETS_LIBRARIES})
    # The qt5/QtCore/qvariant.h header throws a warning, so suppress this.
    # Annoyingly there are two different (incompatible) flags for clang < 10
    # and >= 10, so set both, and supress unknown options warnings.
    set_source_files_properties(qt_preview.cpp PROPERTIES COMPILE_FLAGS
                                "-Wno-unknown-warning-option -Wno-deprecated-copy -Wno-deprecated")
    set(SRC ${SRC} qt_preview.cpp)
    set(QT_FOUND 1)
    message(STATUS "QT display mode enabled")
else()
    message(STATUS "QT display mode will be unavailable!")
endif()

add_library(preview null_preview.cpp ${SRC})
target_link_libraries(preview ${TARGET_LIBS})

target_compile_definitions(preview PUBLIC LIBDRM_PRESENT=${DRM_FOUND})
target_compile_definitions(preview PUBLIC LIBEGL_PRESENT=${EGL_FOUND})
target_compile_definitions(preview PUBLIC QT_PRESENT=${QT_FOUND})

install(TARGETS preview LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== utils/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

set(EXECUTABLE_OUTPUT_PATH  ${CMAKE_BINARY_DIR})
install(PROGRAMS camera-bug-report DESTINATION bin)

=== debian/changelog ===
libcamera-apps (0~git20220228+really~git20220131+7ac5197-1~bpo10~1) buster; urgency=medium

  * Downgrade final Buster release to compatible version

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 28 Mar 2022 18:49:26 +0100

libcamera-apps (0~git20220131+7ac5197-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20220131+7ac5197

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 01 Feb 2022 14:06:59 +0000

libcamera-apps (0~git20220105+b9a6923-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20220105+b9a6923

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 07 Jan 2022 11:15:38 +0000

libcamera-apps (0~git20211129+2e083a9-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20211129+2e083a9

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 29 Nov 2021 13:49:40 +0000

libcamera-apps (0~git20211021+2a38ae9-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20211021+2a38ae9
  * Remove git_hash

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 21 Oct 2021 15:34:45 +0100

libcamera-apps (0~git20211012+4bb06a1-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20211012+4bb06a1
  * Add libcamera-apps-lite with X11 and Qt dependencies removed
  * Disable OpenCV support
  * Embed git sha1sum in binary version output
  * Force ldconfig trigger

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 15 Oct 2021 15:21:51 +0100

libcamera-apps (0~git20211001+c6f4a83-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20211001+c6f4a83

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 01 Oct 2021 13:10:17 +0100

libcamera-apps (0~git20210915+4868f69-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20210915+4868f69

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 15 Sep 2021 10:45:49 +0100

libcamera-apps (0~git20210909+cca297e-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20210909+cca297e

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 09 Sep 2021 15:30:28 +0100

libcamera-apps (0~git20210908+f7d42ac-1~bpo10~0) buster; urgency=medium

  * New upstream version 0~git20210908+f7d42ac
  * Add libopencv-dev build dependency

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 09 Sep 2021 13:33:46 +0100

libcamera-apps (0~git20210824+b1d84d8-1~bpo10~0) buster; urgency=medium

  * Update gbp.conf
  * Buster rebuild

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 06 Sep 2021 13:57:51 +0100

libcamera-apps (0~git20210824+b1d84d8-1) bullseye; urgency=medium

  * Initial release

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 02 Sep 2021 15:41:30 +0100

=== debian/control ===
Source: libcamera-apps
Section: video
Priority: optional
Maintainer: Serge Schneider <serge@raspberrypi.com>
Build-Depends: debhelper (>= 11),
 cmake,
 pkg-config,
 python3,
 libboost-dev,
 libboost-program-options-dev,
 libcamera-dev,
 libdrm-dev,
 libepoxy-dev,
 libexif-dev,
 libjpeg62-turbo-dev,
 libpng-dev,
 libtiff-dev,
 libx11-dev,
 qtbase5-dev
Standards-Version: 4.1.3
Homepage: https://github.com/raspberrypi/libcamera-apps/

Package: libcamera-apps
Architecture: armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcamera-apps-lite
Replaces: libcamera-apps-lite
Description: libcamera-apps
 Small suite of libcamera-based apps that aim to copy the functionality of the
 existing "raspicam" apps

Package: libcamera-apps-lite
Architecture: armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcamera-apps
Replaces: libcamera-apps
Description: libcamera-apps-lite
 Small suite of libcamera-based apps that aim to copy the functionality of the
 existing "raspicam" apps. This version excludes features which require X11 and
 Qt

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

CONFIG_COMMON := -DENABLE_OPENCV=0
CONFIG_LITE := -DENABLE_X11=0 -DENABLE_QT=0

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build_lite -- $(CONFIG_COMMON) $(CONFIG_LITE)
	dh_auto_configure -- $(CONFIG_COMMON)

override_dh_auto_build:
	dh_auto_build --builddirectory=build_lite
	dh_auto_build

override_dh_auto_test:
	dh_auto_test --builddirectory=build_lite
	dh_auto_test

override_dh_auto_install:
	dh_auto_install --builddirectory=build_lite --destdir=debian/libcamera-apps-lite/
	dh_auto_install --destdir=debian/libcamera-apps/

## libcamera-apps 1.3.0

=== meson_options.txt ===
option('enable_libav',
        type : 'boolean',
        value : true,
        description : 'Enable the libav encoder for video/audio capture')

option('enable_drm',
        type : 'boolean',
        value : true,
        description : 'Enable DRM preview window support')

option('enable_egl',
        type : 'boolean',
        value : true,
        description : 'Enable EGL preview window support')

option('enable_qt',
        type : 'boolean',
        value : true,
        description : 'Enable QT preview window support')

option('enable_opencv',
        type : 'boolean',
        value : true,
        description : 'Enable OpenCV postprocessing support')

option('enable_tflite',
        type : 'boolean',
        value : false,
        description : 'Enable Tensorflow Lite postprocessing support')

option('neon_flags',
        type : 'combo',
        choices: ['arm64', 'armv8-neon', 'auto'],
        value : 'auto',
        description : 'User selectable arm-neon optimisation flags')

=== debian/changelog ===
libcamera-apps (1.3.0-1) bookworm; urgency=medium

  * New upstream version 1.3.0

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 23 Oct 2023 10:34:41 +0100

libcamera-apps (1.2.2-1) bookworm; urgency=medium

  * New upstream version 1.2.2

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 27 Sep 2023 13:32:26 +0100

libcamera-apps (1.2.1-1) bullseye; urgency=medium

  * New upstream version 1.2.1
  * Switch to Meson

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 17 Jul 2023 08:21:25 +0100

libcamera-apps (0~git20230301+54a781d-1) bullseye; urgency=medium

  * New upstream version 0~git20230301+54a781d

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 01 Mar 2023 15:55:49 +0000

libcamera-apps (0~git20230125+9f08463-1) bullseye; urgency=medium

  * New upstream version 0~git20230125+9f08463

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 26 Jan 2023 16:18:56 +0000

libcamera-apps (0~git20230124+77a03d9-1) bullseye; urgency=medium

  * New upstream version 0~git20230124+77a03d9

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 24 Jan 2023 15:28:23 +0000

libcamera-apps (0~git20230104+4fea2ee-1) bullseye; urgency=medium

  * New upstream version 0~git20230104+4fea2ee

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 06 Jan 2023 01:41:00 +0000

libcamera-apps (0~git20221201+9c5d319-1) bullseye; urgency=medium

  * New upstream version 0~git20221201+9c5d319

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 02 Dec 2022 19:46:52 +0000

libcamera-apps (0~git20221109+73ab09f-1) bullseye; urgency=medium

  * New upstream version 0~git20221109+73ab09f

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 09 Nov 2022 14:19:35 +0000

libcamera-apps (0~git20221018+b89cc36-2) bullseye; urgency=medium

  * Rebuild against a newer version of libcamera

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 19 Oct 2022 13:58:46 +0100

libcamera-apps (0~git20221018+b89cc36-1) bullseye; urgency=medium

  * New upstream version 0~git20221018+b89cc36

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 18 Oct 2022 13:28:07 +0100

libcamera-apps (0~git20220830+1bf0cca-1) bullseye; urgency=medium

  * New upstream version 0~git20220830+1bf0cca

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 31 Aug 2022 16:51:41 +0100

libcamera-apps (0~git20220707+35266e8-1) bullseye; urgency=medium

  * New upstream version 0~git20220707+35266e8
  * Build libcamera-apps-lite without libav support

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 07 Jul 2022 18:47:37 +0100

libcamera-apps (0~git20220630+765bb46-2) bullseye; urgency=medium

  * Add new build dependencies:
    - libavcodec-dev
    - libavdevice-dev
    - libavformat-dev
    - libswresample-dev

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 05 Jul 2022 14:42:11 +0100

libcamera-apps (0~git20220630+765bb46-1) bullseye; urgency=medium

  * New upstream version 0~git20220630+765bb46

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 05 Jul 2022 11:12:03 +0100

libcamera-apps (0~git20220228+0dc5ea0-1) bullseye; urgency=medium

  * New upstream version 0~git20220228+0dc5ea0

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 04 Mar 2022 10:10:33 +0000

libcamera-apps (0~git20220131+7ac5197-1) bullseye; urgency=medium

  * New upstream version 0~git20220131+7ac5197

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 01 Feb 2022 14:06:22 +0000

libcamera-apps (0~git20220105+b9a6923-1) bullseye; urgency=medium

  * New upstream version 0~git20220105+b9a6923

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 07 Jan 2022 11:15:07 +0000

libcamera-apps (0~git20211129+2e083a9-1) bullseye; urgency=medium

  * New upstream version 0~git20211129+2e083a9

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 29 Nov 2021 13:49:05 +0000

libcamera-apps (0~git20211021+2a38ae9-1) bullseye; urgency=medium

  * New upstream version 0~git20211021+2a38ae9
  * Remove git_hash

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 21 Oct 2021 15:33:56 +0100

libcamera-apps (0~git20211012+4bb06a1-1) bullseye; urgency=medium

  * New upstream version 0~git20211012+4bb06a1
  * Add libcamera-apps-lite with X11 and Qt dependencies removed
  * Disable OpenCV support
  * Embed git sha1sum in binary version output
  * Force ldconfig trigger

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 14 Oct 2021 16:42:33 +0100

libcamera-apps (0~git20211001+c6f4a83-1) bullseye; urgency=medium

  * New upstream version 0~git20211001+c6f4a83

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 01 Oct 2021 12:53:15 +0100

libcamera-apps (0~git20210915+4868f69-1) bullseye; urgency=medium

  * New upstream version 0~git20210915+4868f69

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 15 Sep 2021 10:45:29 +0100

libcamera-apps (0~git20210909+cca297e-1) bullseye; urgency=medium

  * New upstream version 0~git20210909+cca297e

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 09 Sep 2021 15:30:03 +0100

libcamera-apps (0~git20210908+f7d42ac-1) bullseye; urgency=medium

  * New upstream version 0~git20210908+f7d42ac
  * Add libopencv-dev build dependency

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 09 Sep 2021 13:33:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Serge Schneider <serge@raspberrypi.com>
 Build-Depends: debhelper (>= 11),
- cmake,
+ meson,
  pkg-config,
  python3,
  libboost-dev,
@@ -16,7 +16,11 @@
  libpng-dev,
  libtiff-dev,
  libx11-dev,
- qtbase5-dev
+ qtbase5-dev,
+ libavcodec-dev,
+ libavdevice-dev,
+ libavformat-dev,
+ libswresample-dev
 Standards-Version: 4.1.3
 Homepage: https://github.com/raspberrypi/libcamera-apps/

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,16 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
 
-CONFIG_COMMON := -DENABLE_OPENCV=0
-CONFIG_LITE := -DENABLE_X11=0 -DENABLE_QT=0
+CONFIG_COMMON := -Denable_opencv=false -Denable_tflite=false
+CONFIG_FULL := -Denable_libav=true -Denable_drm=true -Denable_egl=true -Denable_qt=true
+CONFIG_LITE := -Denable_egl=false -Denable_qt=false -Denable_libav=false
 
 %:
-	dh $@
+	dh $@ --buildsystem=meson
 
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory=build_lite -- $(CONFIG_COMMON) $(CONFIG_LITE)
-	dh_auto_configure -- $(CONFIG_COMMON)
+	dh_auto_configure -- $(CONFIG_COMMON) $(CONFIG_FULL)
 
 override_dh_auto_build:
 	dh_auto_build --builddirectory=build_lite
